Package be.vlaanderen.mercurius.mohm.common.v7

# Class DecisionBasicEquipmentType

java.lang.Object
be.vlaanderen.mercurius.mohm.common.v7.DecisionBasicEquipmentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DecisionBasicEquipmentType extends Object implements Serializable
Generiek type voor het basishulpmiddel in een beslissing.

Java class for DecisionBasicEquipmentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecisionBasicEquipmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}EquipmentIDType"/>
             <element name="RequestedCareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType"/>
             <element name="DescriptionRequested" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="AssignedCareServiceCode" type="{http://www.mercurius.vlaanderen.be/wzcmh/common/v3}CareServiceCodeType" minOccurs="0"/>
             <element name="DescriptionAssigned" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}ProductNumberType" minOccurs="0"/>
             <element name="Amount" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}AmountType" minOccurs="0"/>
             <element name="Status" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}CareServiceCodeStatusType"/>
             <element name="Reason" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Motivation" type="{http://www.mercurius.vlaanderen.be/mohm/common/v7}MotivationType" minOccurs="0"/>
             <element name="StatusDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionBasicEquipmentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigDecimal`
  `getAmount()`
  Toegekend bedrag voor het mobiliteitshulpmiddel.
  `String`
  `getAssignedCareServiceCode()`
  Toegekende prestatiecode voor het mobiliteitshulpmiddel.
  `String`
  `getDescriptionAssigned()`
  Korte omschrijving van de toegekende prestatiecode.
  `String`
  `getDescriptionRequested()`
  Korte omschrijving van de gevraagde prestatiecode.
  `String`
  `getEquipmentID()`
  Unieke ID van het mobiliteitshulpmiddel.
  `String`
  `getMotivation()`
  Veld met motivatie bij de beslissing.
  `String`
  `getProductnumber()`
  Productcode van het mobiliteitshulpmiddel.
  `List<String>`
  `getReasons()`
  Reden wordt enkel ingevuld als de aanvraag automatisch werd geweigerd.
  `String`
  `getRequestedCareServiceCode()`
  Gevraagde prestatiecode van het mobiliteitshulpmiddel.
  `CareServiceCodeStatusType`
  `getStatus()`
  Status van het mobiliteitshulpmiddel na de beslissing: aanvaard of geweigerd
  `Instant`
  `getStatusDate()`
  Datum van de status van het mobiliteitshulpmiddel.
  `void`
  `setAmount(BigDecimal value)`
  Sets the value of the amount property.
  `void`
  `setAssignedCareServiceCode(String value)`
  Sets the value of the assignedCareServiceCode property.
  `void`
  `setDescriptionAssigned(String value)`
  Sets the value of the descriptionAssigned property.
  `void`
  `setDescriptionRequested(String value)`
  Sets the value of the descriptionRequested property.
  `void`
  `setEquipmentID(String value)`
  Sets the value of the equipmentID property.
  `void`
  `setMotivation(String value)`
  Sets the value of the motivation property.
  `void`
  `setProductnumber(String value)`
  Sets the value of the productnumber property.
  `void`
  `setRequestedCareServiceCode(String value)`
  Sets the value of the requestedCareServiceCode property.
  `void`
  `setStatus(CareServiceCodeStatusType value)`
  Sets the value of the status property.
  `void`
  `setStatusDate(Instant value)`
  Sets the value of the statusDate property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DecisionBasicEquipmentType

    public DecisionBasicEquipmentType()

- ## Method Details

  - ### getEquipmentID

    public String getEquipmentID()
    Unieke ID van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setEquipmentID

    public void setEquipmentID(String value)
    Sets the value of the equipmentID property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEquipmentID()`

  - ### getRequestedCareServiceCode

    public String getRequestedCareServiceCode()
    Gevraagde prestatiecode van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setRequestedCareServiceCode

    public void setRequestedCareServiceCode(String value)
    Sets the value of the requestedCareServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getRequestedCareServiceCode()`

  - ### getDescriptionRequested

    public String getDescriptionRequested()
    Korte omschrijving van de gevraagde prestatiecode.
    Returns:
      possible object is `String`

  - ### setDescriptionRequested

    public void setDescriptionRequested(String value)
    Sets the value of the descriptionRequested property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescriptionRequested()`

  - ### getAssignedCareServiceCode

    public String getAssignedCareServiceCode()
    Toegekende prestatiecode voor het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setAssignedCareServiceCode

    public void setAssignedCareServiceCode(String value)
    Sets the value of the assignedCareServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getAssignedCareServiceCode()`

  - ### getDescriptionAssigned

    public String getDescriptionAssigned()
    Korte omschrijving van de toegekende prestatiecode.
    Returns:
      possible object is `String`

  - ### setDescriptionAssigned

    public void setDescriptionAssigned(String value)
    Sets the value of the descriptionAssigned property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDescriptionAssigned()`

  - ### getProductnumber

    public String getProductnumber()
    Productcode van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setProductnumber

    public void setProductnumber(String value)
    Sets the value of the productnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductnumber()`

  - ### getAmount

    public BigDecimal getAmount()
    Toegekend bedrag voor het mobiliteitshulpmiddel.
    Returns:
      possible object is `BigDecimal`

  - ### setAmount

    public void setAmount(BigDecimal value)
    Sets the value of the amount property.
    Parameters:
      `value` - allowed object is `BigDecimal`
    See Also:
      - `getAmount()`

  - ### getStatus

    public CareServiceCodeStatusType getStatus()
    Status van het mobiliteitshulpmiddel na de beslissing: aanvaard of geweigerd
    Returns:
      possible object is `CareServiceCodeStatusType`

  - ### setStatus

    public void setStatus(CareServiceCodeStatusType value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `CareServiceCodeStatusType`
    See Also:
      - `getStatus()`

  - ### getReasons

    public List<String> getReasons()
    Reden wordt enkel ingevuld als de aanvraag automatisch werd geweigerd. Er kunnen meerdere redenen van weigering zijn. Gets the value of the reasons property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the reasons property.

    For example, to add a new item, do as follows:

         getReasons().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the reasons property.

  - ### getMotivation

    public String getMotivation()
    Veld met motivatie bij de beslissing. De motivatie kan ingevuld worden door de zorgkas, zorgkassencommissie of bijzondere technische commissie. Dit is afhankelijk van welke procedure de aanvraag volgt.
    Returns:
      possible object is `String`

  - ### setMotivation

    public void setMotivation(String value)
    Sets the value of the motivation property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getMotivation()`

  - ### getStatusDate

    public Instant getStatusDate()
    Datum van de status van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setStatusDate

    public void setStatusDate(Instant value)
    Sets the value of the statusDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getStatusDate()`